<?php
/**
* asanak.com PHP API
*/

/**
* Main asanak.com API Class
* 
* @package  asanak.com
*/
class digits_asanak_com {
  private $username;
  private $Password;
  private $sender;
  public function __construct($arg ,array $options = array()) {
	  
    if (empty($arg)) {
      error_log("Username and Password and Sender can't be blank");
	  wp_die("Username and Password and Sender can't be blank"); 
    } else {
      $this->username = $arg['username'];
      $this->password = $arg['password'];
      $this->sender = $arg['sender'];
    }
  }

  public function send(array $sms) {
    if (!is_array($sms)) {
      error_log("sms parameter must be an array");
	  return array('success'=>false);
    }
	
    $url = "http://panel.asanak.ir/webservice/v1rest/sendsms";
    $msg = urlencode(trim($sms['message']));
    $url .= '?username='.$this->username.'&password='.$this->password.'&source='.$this->sender.'&destination='.$sms['to'].'&message='. $msg;
    $headers[] = 'Accept: text/html';
    $headers[] = 'Connection: Keep-Alive';
    $headers[] = 'Content-type: application/x-www-form-urlencoded;charset=UTF-8';
    $process = curl_init($url);
    curl_setopt($process, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($process, CURLOPT_HEADER, 0);
    curl_setopt($process, CURLOPT_TIMEOUT, 30);
    curl_setopt($process, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($process, CURLOPT_FOLLOWLOCATION, 1);
	try 
	{
		if(($return = curl_exec($process)))
		{
			$result = json_decode($return);
			if (isset($result[0]) && is_numeric($result[0]) && $result[0] > 100 ) {
				digitsDebug("asanak.com : SMS sent json query:".json_encode(array('message'=>$sms['message'],'to'=>$sms['to'],'result'=>$result)));
				return array('success'=>true);
			} else {
				digitsDebug("asanak.com : SMS failed json query:".json_encode(array('message'=>$sms['message'],'to'=>$sms['to'],'error'=>$result)));
				return array('success'=>false);
			}

		}
	} catch (Exception $ex)
	{
		return $ex->errorMessage();
	}
  }
}