<?php

namespace Aws\AlexaForBusiness;

use Aws\AwsClient;
use Aws\Result;
use GuzzleHttp\Promise\Promise;

/**
 * This client is used to interact with the **Alexa For Business** service.
 * @method Result approveSkill( array $args = [] )
 * @method Promise approveSkillAsync( array $args = [] )
 * @method Result associateContactWithAddressBook( array $args = [] )
 * @method Promise associateContactWithAddressBookAsync( array $args = [] )
 * @method Result associateDeviceWithNetworkProfile( array $args = [] )
 * @method Promise associateDeviceWithNetworkProfileAsync( array $args = [] )
 * @method Result associateDeviceWithRoom( array $args = [] )
 * @method Promise associateDeviceWithRoomAsync( array $args = [] )
 * @method Result associateSkillGroupWithRoom( array $args = [] )
 * @method Promise associateSkillGroupWithRoomAsync( array $args = [] )
 * @method Result associateSkillWithSkillGroup( array $args = [] )
 * @method Promise associateSkillWithSkillGroupAsync( array $args = [] )
 * @method Result associateSkillWithUsers( array $args = [] )
 * @method Promise associateSkillWithUsersAsync( array $args = [] )
 * @method Result createAddressBook( array $args = [] )
 * @method Promise createAddressBookAsync( array $args = [] )
 * @method Result createBusinessReportSchedule( array $args = [] )
 * @method Promise createBusinessReportScheduleAsync( array $args = [] )
 * @method Result createConferenceProvider( array $args = [] )
 * @method Promise createConferenceProviderAsync( array $args = [] )
 * @method Result createContact( array $args = [] )
 * @method Promise createContactAsync( array $args = [] )
 * @method Result createGatewayGroup( array $args = [] )
 * @method Promise createGatewayGroupAsync( array $args = [] )
 * @method Result createNetworkProfile( array $args = [] )
 * @method Promise createNetworkProfileAsync( array $args = [] )
 * @method Result createProfile( array $args = [] )
 * @method Promise createProfileAsync( array $args = [] )
 * @method Result createRoom( array $args = [] )
 * @method Promise createRoomAsync( array $args = [] )
 * @method Result createSkillGroup( array $args = [] )
 * @method Promise createSkillGroupAsync( array $args = [] )
 * @method Result createUser( array $args = [] )
 * @method Promise createUserAsync( array $args = [] )
 * @method Result deleteAddressBook( array $args = [] )
 * @method Promise deleteAddressBookAsync( array $args = [] )
 * @method Result deleteBusinessReportSchedule( array $args = [] )
 * @method Promise deleteBusinessReportScheduleAsync( array $args = [] )
 * @method Result deleteConferenceProvider( array $args = [] )
 * @method Promise deleteConferenceProviderAsync( array $args = [] )
 * @method Result deleteContact( array $args = [] )
 * @method Promise deleteContactAsync( array $args = [] )
 * @method Result deleteDevice( array $args = [] )
 * @method Promise deleteDeviceAsync( array $args = [] )
 * @method Result deleteDeviceUsageData( array $args = [] )
 * @method Promise deleteDeviceUsageDataAsync( array $args = [] )
 * @method Result deleteGatewayGroup( array $args = [] )
 * @method Promise deleteGatewayGroupAsync( array $args = [] )
 * @method Result deleteNetworkProfile( array $args = [] )
 * @method Promise deleteNetworkProfileAsync( array $args = [] )
 * @method Result deleteProfile( array $args = [] )
 * @method Promise deleteProfileAsync( array $args = [] )
 * @method Result deleteRoom( array $args = [] )
 * @method Promise deleteRoomAsync( array $args = [] )
 * @method Result deleteRoomSkillParameter( array $args = [] )
 * @method Promise deleteRoomSkillParameterAsync( array $args = [] )
 * @method Result deleteSkillAuthorization( array $args = [] )
 * @method Promise deleteSkillAuthorizationAsync( array $args = [] )
 * @method Result deleteSkillGroup( array $args = [] )
 * @method Promise deleteSkillGroupAsync( array $args = [] )
 * @method Result deleteUser( array $args = [] )
 * @method Promise deleteUserAsync( array $args = [] )
 * @method Result disassociateContactFromAddressBook( array $args = [] )
 * @method Promise disassociateContactFromAddressBookAsync( array $args = [] )
 * @method Result disassociateDeviceFromRoom( array $args = [] )
 * @method Promise disassociateDeviceFromRoomAsync( array $args = [] )
 * @method Result disassociateSkillFromSkillGroup( array $args = [] )
 * @method Promise disassociateSkillFromSkillGroupAsync( array $args = [] )
 * @method Result disassociateSkillFromUsers( array $args = [] )
 * @method Promise disassociateSkillFromUsersAsync( array $args = [] )
 * @method Result disassociateSkillGroupFromRoom( array $args = [] )
 * @method Promise disassociateSkillGroupFromRoomAsync( array $args = [] )
 * @method Result forgetSmartHomeAppliances( array $args = [] )
 * @method Promise forgetSmartHomeAppliancesAsync( array $args = [] )
 * @method Result getAddressBook( array $args = [] )
 * @method Promise getAddressBookAsync( array $args = [] )
 * @method Result getConferencePreference( array $args = [] )
 * @method Promise getConferencePreferenceAsync( array $args = [] )
 * @method Result getConferenceProvider( array $args = [] )
 * @method Promise getConferenceProviderAsync( array $args = [] )
 * @method Result getContact( array $args = [] )
 * @method Promise getContactAsync( array $args = [] )
 * @method Result getDevice( array $args = [] )
 * @method Promise getDeviceAsync( array $args = [] )
 * @method Result getGateway( array $args = [] )
 * @method Promise getGatewayAsync( array $args = [] )
 * @method Result getGatewayGroup( array $args = [] )
 * @method Promise getGatewayGroupAsync( array $args = [] )
 * @method Result getInvitationConfiguration( array $args = [] )
 * @method Promise getInvitationConfigurationAsync( array $args = [] )
 * @method Result getNetworkProfile( array $args = [] )
 * @method Promise getNetworkProfileAsync( array $args = [] )
 * @method Result getProfile( array $args = [] )
 * @method Promise getProfileAsync( array $args = [] )
 * @method Result getRoom( array $args = [] )
 * @method Promise getRoomAsync( array $args = [] )
 * @method Result getRoomSkillParameter( array $args = [] )
 * @method Promise getRoomSkillParameterAsync( array $args = [] )
 * @method Result getSkillGroup( array $args = [] )
 * @method Promise getSkillGroupAsync( array $args = [] )
 * @method Result listBusinessReportSchedules( array $args = [] )
 * @method Promise listBusinessReportSchedulesAsync( array $args = [] )
 * @method Result listConferenceProviders( array $args = [] )
 * @method Promise listConferenceProvidersAsync( array $args = [] )
 * @method Result listDeviceEvents( array $args = [] )
 * @method Promise listDeviceEventsAsync( array $args = [] )
 * @method Result listGatewayGroups( array $args = [] )
 * @method Promise listGatewayGroupsAsync( array $args = [] )
 * @method Result listGateways( array $args = [] )
 * @method Promise listGatewaysAsync( array $args = [] )
 * @method Result listSkills( array $args = [] )
 * @method Promise listSkillsAsync( array $args = [] )
 * @method Result listSkillsStoreCategories( array $args = [] )
 * @method Promise listSkillsStoreCategoriesAsync( array $args = [] )
 * @method Result listSkillsStoreSkillsByCategory( array $args = [] )
 * @method Promise listSkillsStoreSkillsByCategoryAsync( array $args = [] )
 * @method Result listSmartHomeAppliances( array $args = [] )
 * @method Promise listSmartHomeAppliancesAsync( array $args = [] )
 * @method Result listTags( array $args = [] )
 * @method Promise listTagsAsync( array $args = [] )
 * @method Result putConferencePreference( array $args = [] )
 * @method Promise putConferencePreferenceAsync( array $args = [] )
 * @method Result putInvitationConfiguration( array $args = [] )
 * @method Promise putInvitationConfigurationAsync( array $args = [] )
 * @method Result putRoomSkillParameter( array $args = [] )
 * @method Promise putRoomSkillParameterAsync( array $args = [] )
 * @method Result putSkillAuthorization( array $args = [] )
 * @method Promise putSkillAuthorizationAsync( array $args = [] )
 * @method Result registerAVSDevice( array $args = [] )
 * @method Promise registerAVSDeviceAsync( array $args = [] )
 * @method Result rejectSkill( array $args = [] )
 * @method Promise rejectSkillAsync( array $args = [] )
 * @method Result resolveRoom( array $args = [] )
 * @method Promise resolveRoomAsync( array $args = [] )
 * @method Result revokeInvitation( array $args = [] )
 * @method Promise revokeInvitationAsync( array $args = [] )
 * @method Result searchAddressBooks( array $args = [] )
 * @method Promise searchAddressBooksAsync( array $args = [] )
 * @method Result searchContacts( array $args = [] )
 * @method Promise searchContactsAsync( array $args = [] )
 * @method Result searchDevices( array $args = [] )
 * @method Promise searchDevicesAsync( array $args = [] )
 * @method Result searchNetworkProfiles( array $args = [] )
 * @method Promise searchNetworkProfilesAsync( array $args = [] )
 * @method Result searchProfiles( array $args = [] )
 * @method Promise searchProfilesAsync( array $args = [] )
 * @method Result searchRooms( array $args = [] )
 * @method Promise searchRoomsAsync( array $args = [] )
 * @method Result searchSkillGroups( array $args = [] )
 * @method Promise searchSkillGroupsAsync( array $args = [] )
 * @method Result searchUsers( array $args = [] )
 * @method Promise searchUsersAsync( array $args = [] )
 * @method Result sendAnnouncement( array $args = [] )
 * @method Promise sendAnnouncementAsync( array $args = [] )
 * @method Result sendInvitation( array $args = [] )
 * @method Promise sendInvitationAsync( array $args = [] )
 * @method Result startDeviceSync( array $args = [] )
 * @method Promise startDeviceSyncAsync( array $args = [] )
 * @method Result startSmartHomeApplianceDiscovery( array $args = [] )
 * @method Promise startSmartHomeApplianceDiscoveryAsync( array $args = [] )
 * @method Result tagResource( array $args = [] )
 * @method Promise tagResourceAsync( array $args = [] )
 * @method Result untagResource( array $args = [] )
 * @method Promise untagResourceAsync( array $args = [] )
 * @method Result updateAddressBook( array $args = [] )
 * @method Promise updateAddressBookAsync( array $args = [] )
 * @method Result updateBusinessReportSchedule( array $args = [] )
 * @method Promise updateBusinessReportScheduleAsync( array $args = [] )
 * @method Result updateConferenceProvider( array $args = [] )
 * @method Promise updateConferenceProviderAsync( array $args = [] )
 * @method Result updateContact( array $args = [] )
 * @method Promise updateContactAsync( array $args = [] )
 * @method Result updateDevice( array $args = [] )
 * @method Promise updateDeviceAsync( array $args = [] )
 * @method Result updateGateway( array $args = [] )
 * @method Promise updateGatewayAsync( array $args = [] )
 * @method Result updateGatewayGroup( array $args = [] )
 * @method Promise updateGatewayGroupAsync( array $args = [] )
 * @method Result updateNetworkProfile( array $args = [] )
 * @method Promise updateNetworkProfileAsync( array $args = [] )
 * @method Result updateProfile( array $args = [] )
 * @method Promise updateProfileAsync( array $args = [] )
 * @method Result updateRoom( array $args = [] )
 * @method Promise updateRoomAsync( array $args = [] )
 * @method Result updateSkillGroup( array $args = [] )
 * @method Promise updateSkillGroupAsync( array $args = [] )
 */
class AlexaForBusinessClient extends AwsClient {
}
