<?php

namespace Aws\AppMesh;

use Aws\AwsClient;
use Aws\Result;
use GuzzleHttp\Promise\Promise;

/**
 * This client is used to interact with the **AWS App Mesh** service.
 * @method Result createMesh( array $args = [] )
 * @method Promise createMeshAsync( array $args = [] )
 * @method Result createRoute( array $args = [] )
 * @method Promise createRouteAsync( array $args = [] )
 * @method Result createVirtualNode( array $args = [] )
 * @method Promise createVirtualNodeAsync( array $args = [] )
 * @method Result createVirtualRouter( array $args = [] )
 * @method Promise createVirtualRouterAsync( array $args = [] )
 * @method Result deleteMesh( array $args = [] )
 * @method Promise deleteMeshAsync( array $args = [] )
 * @method Result deleteRoute( array $args = [] )
 * @method Promise deleteRouteAsync( array $args = [] )
 * @method Result deleteVirtualNode( array $args = [] )
 * @method Promise deleteVirtualNodeAsync( array $args = [] )
 * @method Result deleteVirtualRouter( array $args = [] )
 * @method Promise deleteVirtualRouterAsync( array $args = [] )
 * @method Result describeMesh( array $args = [] )
 * @method Promise describeMeshAsync( array $args = [] )
 * @method Result describeRoute( array $args = [] )
 * @method Promise describeRouteAsync( array $args = [] )
 * @method Result describeVirtualNode( array $args = [] )
 * @method Promise describeVirtualNodeAsync( array $args = [] )
 * @method Result describeVirtualRouter( array $args = [] )
 * @method Promise describeVirtualRouterAsync( array $args = [] )
 * @method Result listMeshes( array $args = [] )
 * @method Promise listMeshesAsync( array $args = [] )
 * @method Result listRoutes( array $args = [] )
 * @method Promise listRoutesAsync( array $args = [] )
 * @method Result listVirtualNodes( array $args = [] )
 * @method Promise listVirtualNodesAsync( array $args = [] )
 * @method Result listVirtualRouters( array $args = [] )
 * @method Promise listVirtualRoutersAsync( array $args = [] )
 * @method Result updateRoute( array $args = [] )
 * @method Promise updateRouteAsync( array $args = [] )
 * @method Result updateVirtualNode( array $args = [] )
 * @method Promise updateVirtualNodeAsync( array $args = [] )
 * @method Result updateVirtualRouter( array $args = [] )
 * @method Promise updateVirtualRouterAsync( array $args = [] )
 * @method Result createVirtualService( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Promise createVirtualServiceAsync( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Result deleteVirtualService( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Promise deleteVirtualServiceAsync( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Result describeVirtualService( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Promise describeVirtualServiceAsync( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Result listTagsForResource( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Promise listTagsForResourceAsync( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Result listVirtualServices( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Promise listVirtualServicesAsync( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Result tagResource( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Promise tagResourceAsync( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Result untagResource( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Promise untagResourceAsync( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Result updateMesh( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Promise updateMeshAsync( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Result updateVirtualService( array $args = [] ) ( supported in versions 2019-01-25 )
 * @method Promise updateVirtualServiceAsync( array $args = [] ) ( supported in versions 2019-01-25 )
 */
class AppMeshClient extends AwsClient {
}
