<?php

namespace Aws\GuardDuty;

use Aws\AwsClient;
use Aws\Result;
use GuzzleHttp\Promise\Promise;

/**
 * This client is used to interact with the **Amazon GuardDuty** service.
 * @method Result acceptInvitation( array $args = [] )
 * @method Promise acceptInvitationAsync( array $args = [] )
 * @method Result archiveFindings( array $args = [] )
 * @method Promise archiveFindingsAsync( array $args = [] )
 * @method Result createDetector( array $args = [] )
 * @method Promise createDetectorAsync( array $args = [] )
 * @method Result createFilter( array $args = [] )
 * @method Promise createFilterAsync( array $args = [] )
 * @method Result createIPSet( array $args = [] )
 * @method Promise createIPSetAsync( array $args = [] )
 * @method Result createMembers( array $args = [] )
 * @method Promise createMembersAsync( array $args = [] )
 * @method Result createSampleFindings( array $args = [] )
 * @method Promise createSampleFindingsAsync( array $args = [] )
 * @method Result createThreatIntelSet( array $args = [] )
 * @method Promise createThreatIntelSetAsync( array $args = [] )
 * @method Result declineInvitations( array $args = [] )
 * @method Promise declineInvitationsAsync( array $args = [] )
 * @method Result deleteDetector( array $args = [] )
 * @method Promise deleteDetectorAsync( array $args = [] )
 * @method Result deleteFilter( array $args = [] )
 * @method Promise deleteFilterAsync( array $args = [] )
 * @method Result deleteIPSet( array $args = [] )
 * @method Promise deleteIPSetAsync( array $args = [] )
 * @method Result deleteInvitations( array $args = [] )
 * @method Promise deleteInvitationsAsync( array $args = [] )
 * @method Result deleteMembers( array $args = [] )
 * @method Promise deleteMembersAsync( array $args = [] )
 * @method Result deleteThreatIntelSet( array $args = [] )
 * @method Promise deleteThreatIntelSetAsync( array $args = [] )
 * @method Result disassociateFromMasterAccount( array $args = [] )
 * @method Promise disassociateFromMasterAccountAsync( array $args = [] )
 * @method Result disassociateMembers( array $args = [] )
 * @method Promise disassociateMembersAsync( array $args = [] )
 * @method Result getDetector( array $args = [] )
 * @method Promise getDetectorAsync( array $args = [] )
 * @method Result getFilter( array $args = [] )
 * @method Promise getFilterAsync( array $args = [] )
 * @method Result getFindings( array $args = [] )
 * @method Promise getFindingsAsync( array $args = [] )
 * @method Result getFindingsStatistics( array $args = [] )
 * @method Promise getFindingsStatisticsAsync( array $args = [] )
 * @method Result getIPSet( array $args = [] )
 * @method Promise getIPSetAsync( array $args = [] )
 * @method Result getInvitationsCount( array $args = [] )
 * @method Promise getInvitationsCountAsync( array $args = [] )
 * @method Result getMasterAccount( array $args = [] )
 * @method Promise getMasterAccountAsync( array $args = [] )
 * @method Result getMembers( array $args = [] )
 * @method Promise getMembersAsync( array $args = [] )
 * @method Result getThreatIntelSet( array $args = [] )
 * @method Promise getThreatIntelSetAsync( array $args = [] )
 * @method Result inviteMembers( array $args = [] )
 * @method Promise inviteMembersAsync( array $args = [] )
 * @method Result listDetectors( array $args = [] )
 * @method Promise listDetectorsAsync( array $args = [] )
 * @method Result listFilters( array $args = [] )
 * @method Promise listFiltersAsync( array $args = [] )
 * @method Result listFindings( array $args = [] )
 * @method Promise listFindingsAsync( array $args = [] )
 * @method Result listIPSets( array $args = [] )
 * @method Promise listIPSetsAsync( array $args = [] )
 * @method Result listInvitations( array $args = [] )
 * @method Promise listInvitationsAsync( array $args = [] )
 * @method Result listMembers( array $args = [] )
 * @method Promise listMembersAsync( array $args = [] )
 * @method Result listTagsForResource( array $args = [] )
 * @method Promise listTagsForResourceAsync( array $args = [] )
 * @method Result listThreatIntelSets( array $args = [] )
 * @method Promise listThreatIntelSetsAsync( array $args = [] )
 * @method Result startMonitoringMembers( array $args = [] )
 * @method Promise startMonitoringMembersAsync( array $args = [] )
 * @method Result stopMonitoringMembers( array $args = [] )
 * @method Promise stopMonitoringMembersAsync( array $args = [] )
 * @method Result tagResource( array $args = [] )
 * @method Promise tagResourceAsync( array $args = [] )
 * @method Result unarchiveFindings( array $args = [] )
 * @method Promise unarchiveFindingsAsync( array $args = [] )
 * @method Result untagResource( array $args = [] )
 * @method Promise untagResourceAsync( array $args = [] )
 * @method Result updateDetector( array $args = [] )
 * @method Promise updateDetectorAsync( array $args = [] )
 * @method Result updateFilter( array $args = [] )
 * @method Promise updateFilterAsync( array $args = [] )
 * @method Result updateFindingsFeedback( array $args = [] )
 * @method Promise updateFindingsFeedbackAsync( array $args = [] )
 * @method Result updateIPSet( array $args = [] )
 * @method Promise updateIPSetAsync( array $args = [] )
 * @method Result updateThreatIntelSet( array $args = [] )
 * @method Promise updateThreatIntelSetAsync( array $args = [] )
 */
class GuardDutyClient extends AwsClient {
}
