<?php
/**
* epayamak.net PHP API
*/


/**
* Main epayamak.net API Class
* 
* @package     epayamak.net
*/
class digits_ePayamak {


  /** 
  * epayamak.net API Username
  * 
  * @var string
  */
  private $username;
  
  /** 
  * epayamak.net API Password
  * 
  * @var string
  */
  private $Password;


  /**
  * From line used on text messages
  *
  * @var string (11 characters or 12 numbers)
  */
  private $sender;


  /**
  * Create a new instance
  */
  public function __construct($arg ,array $options = array()) {
    if (empty($arg)) {
      error_log("Username and Password and Sender can't be blank");
    } else {
      $this->username = $arg['username'];
      $this->password = $arg['password'];
      $this->sender = $arg['sender'];
    }
  }

  public function send(array $sms) {
    if (!is_array($sms)) {
      error_log("sms parameter must be an array");
    }

	$encoding = "UTF-8";//CP1256, CP1252
	$textMessage = iconv($encoding, 'UTF-8//TRANSLIT',$sms['message']);
	
	$sendsms_parameters = array(
		'username' => $this->username,
		'password' => $this->password,
		'from' => $this->sender,
		'to' => array($sms['to']),
		'text' => $textMessage,
		'isflash' => false,
		'udh' => "",
		'recId' => array(0),
		'status' => 0
	);
	$client = new SoapClient("http://79.175.173.60/post/send.asmx?wsdl");
	$status = $client->SendSms($sendsms_parameters)->SendSmsResult;
	$statusCodes = array(
		'0' =>    'نام کاربری و رمز اشتباه',
		'1' =>    'ارسال موفق',
		'2' =>    'کمبود اعتبار',
		'3' =>    'محدودیت ارسال روزانه!',
		'4' =>    'محدودیت در ارسال!',
		'5' =>    'شماره مجازی غیر مجاز!',
		'6' =>    'در صف ارسال',
		'7' => 'کلمات فیلتر شده!',
		);
	if ($status == '1') {
		//if($this->log) error_log("smsKarin : SMS sent json query:".json_encode(array('message'=>$sms['message'],'to'=>$sms['to'],'result'=>$statusCodes[$status])));
		return array('success'=>true);
	} else {
		if($this->log) error_log("epayamak.net : SMS failed json query:".json_encode(array('message'=>$sms['message'],'to'=>$sms['to'],'error'=>$statusCodes[$status] ? $statusCodes[$status] : 'Unknow Error:'.$status)));
		return array('success'=>false);
	}
  }

}
