<?php
class digits_SmsIR_ClubAddAndSend {
	
    /**
     * Gets API Customer Club Add Contact And Send Url.
     *
     * @return string Indicates the Url
     */
	protected function getAPICustomerClubAddAndSendUrl() {
		return "http://RestfulSms.com/api/CustomerClub/AddContactAndSend";
	}
	
	/**
	* gets Api Token Url.
	*
    * @return string Indicates the Url

	*/
	protected function getApiTokenUrl(){
		return "http://RestfulSms.com/api/Token";
	}

	/**
	* gets config parameters for sending request.
	*
	* @param string $APIKey API Key
	* @param string $SecretKey Secret Key

    * @return void

	*/
    public function __construct($APIKey,$SecretKey){
		$this->APIKey = $APIKey;
		$this->SecretKey = $SecretKey;
    }
	
    /**
     * Send SMS.
     *
     * @return boolean
     */
    public function SendMessage($MobileNumbers, $Messages, $SendDateTime = '') 
    {
		foreach ($MobileNumbers as $num_keys => $num_vals) {
			$contacts[] = array(
				"Prefix" => "",
				"FirstName" => "" ,
				"LastName" => "",
				"Mobile" => $num_vals,
				"BirthDay" => "",
				"CategoryId" => "",
				"MessageText" => $Messages,
			);
		}

		$CustomerClubInsertAndSendMessage = $this->customerClubInsertAndSendMessage($contacts);
// echo json_encode($contacts);
// exit;
		if ($CustomerClubInsertAndSendMessage == true) {
			return true;
		} else {
			return false;
		}
}

	/**
	* Customer Club Insert And Send Message.
	*
	* @param data[] $data array structure of contacts data
    * @return string Indicates the sent sms result
	*/
	public function CustomerClubInsertAndSendMessage($data) {

		$token = $this->GetToken($this->APIKey, $this->SecretKey);
		if($token != false){
			$postData = $data;

			$url = $this->getAPICustomerClubAddAndSendUrl();
			$CustomerClubInsertAndSendMessage = $this->execute($postData, $url, $token);
			$object = json_decode($CustomerClubInsertAndSendMessage);

			if(is_object($object)){
				$array = get_object_vars($object);
				if(is_array($array)){
					// error_log($array['Message']);
					 $result = true;
				} else {
					$result = false;
				}
			} else {
				$result = false;
			}

		} else {
			$result = false;
		}
		return $result;
	}

	/**
	* gets token key for all web service requests.
	*

    * @return string Indicates the token key
	*/
	private function GetToken(){
		$postData = array(

			'UserApiKey' => $this->APIKey,
			'SecretKey' => $this->SecretKey,
			'System' => 'php_rest_v_1_2'
		);
		$postString = json_encode($postData);

		$ch = curl_init($this->getApiTokenUrl());
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                                            'Content-Type: application/json'

                                            ));
		curl_setopt($ch, CURLOPT_HEADER, false);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
		curl_setopt($ch, CURLOPT_POST, count($postString));
		curl_setopt($ch, CURLOPT_POSTFIELDS, $postString);


		$result = curl_exec($ch);
		curl_close($ch);

		$response = json_decode($result);

		if(is_object($response)){
			$resultVars = get_object_vars($response);

			if(is_array($resultVars)){
				@$IsSuccessful = $resultVars['IsSuccessful'];
				if($IsSuccessful == true){
					@$TokenKey = $resultVars['TokenKey'];
					$resp = $TokenKey;
				} else {
					$resp = false;
				}
			}
		}


		return $resp;
	}

	/**
	* executes the main method.
	*
	* @param postData[] $postData array of json data
	* @param string $url url
	* @param string $token token string
    * @return string Indicates the curl execute result
	*/
	private function execute($postData, $url, $token){


		$postString = json_encode($postData);
		$ch = curl_init($url);
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
											'Content-Type: application/json',
											'x-sms-ir-secure-token: '.$token
											));
		curl_setopt($ch, CURLOPT_HEADER, false);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
		curl_setopt($ch, CURLOPT_POST, count($postString));
		curl_setopt($ch, CURLOPT_POSTFIELDS, $postString);

		$result = curl_exec($ch);
		curl_close($ch);
		return $result;
	}
}
?>