<?php
/**
* SMSOnline PHP API
*/

/**
* Main SMSOnline API Class
* 
* @package  SMSOnline
*/
class digits_SmsOnline {
  private $username;
  private $Password;
  private $sender;
  public function __construct($arg ,array $options = array()) {
	  
    if (empty($arg)) {
      error_log("Username and Password and Sender can't be blank");
	  wp_die("Username and Password and Sender can't be blank"); 
    } else {
      $this->username = $arg['username'];
      $this->password = $arg['password'];
      $this->sender = $arg['sender'];
    }
  }

  public function send(array $sms) {
    if (!is_array($sms)) {
      error_log("sms parameter must be an array");
	  return array('success'=>false);
    }

 	$parameters = array(
		'username' => $this->username,
		'password' => $this->password,
		'from' => $this->sender,
		'to' => $sms['to'],
		'text' => $sms['message'],
		'isflash' => false,
	); 

	$url = "smsonline.ir/url/post/SendSMS.ashx?from=".$this->sender."&to=".$sms['to']."&text=".urlencode($sms['message'])."&password=".$this->password."&username=".$this->username;

	$handler = curl_init($url);             
	curl_setopt($handler, CURLOPT_CUSTOMREQUEST, "GET");
	curl_setopt($handler, CURLOPT_RETURNTRANSFER, true);
	$response = curl_exec($handler);

	$status = explode('-',$response);

/*
كدهاي بازگشتي:
0 : نام كاربري يا رمز عبور صحيح نميباشد
1 :ارسال با موفقيت انجام شد، در اين صورت به ازاي هر شماره عدد 0 يا 1 نيز ارائه ميشود كه مشخص كننده وضعيت ارسال است، يعني ارسال انجام شده و 1 يعني ارسال موفق
نبوده)مثالً1 0-1 براي مثال فوق ارائه مي گردد كه نشان ميدهد پيامك به شماره اول ارسال و به شماره دوم ارسال نشده است(
2 :اعتبار كافي نيست.
3 :محدوديت در ارسال روزانه.
4 :محدوديت در حجم ارسال.
5 :شماره فرستنده معتبر نيست و يا غيرفعال مي باشد
6 : شماره موبايل صحيح جهت ارسال وجود ندارد
7 :متن پيامك خالي مي باشد
8 :كاربر ارسال كننده و يا سازنده ي آن غيرفعال مي باشد
9 :تعداد شماره موبايل ها بيشتر از حد مجاز مي باشد
100 : شما مجاز به استفاده از وب سرويس نمي باشيد
*/


	if (is_array($status) && $status[0] == 0 ) {
		//error_log("smsonline : SMS sent json query:".json_encode(array('message'=>$sms['message'],'to'=>$sms['to'],'result'=>$status)));
		return array('success'=>true);
	} else {
		error_log("smsonline : SMS failed json query:".json_encode(array('message'=>$sms['message'],'to'=>$sms['to'],'error'=>$status ? $status : 'Unknow Error.')));
		return array('success'=>false);
	}
  }
}